Project

General

Profile

xmrig_download_error.txt

Aaron St. John, 06/14/2018 07:00 AM

 
1
Error: concurrent.futures.process._RemoteTraceback: 
2
"""
3
Traceback (most recent call last):
4
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
5
    r = call_item.fn(*call_item.args, **call_item.kwargs)
6
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 119, in main_worker
7
    res = loop.run_until_complete(coro)
8
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
9
    return future.result()
10
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 79, in _run
11
    return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
12
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 72, in _call
13
    return methodobj(*params)
14
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 72, in _call
15
    return methodobj(*params)
16
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 650, in nf
17
    return f(*args, **kwargs)
18
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 230, in fetch
19
    iocage.fetch(**options)
20
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/iocage.py", line 909, in fetch
21
    props, accept_license=accept, official=official)
22
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 689, in fetch_plugin_index
23
    props, 0, accept_license)
24
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 115, in fetch_plugin
25
    self.__fetch_plugin_inform__(conf, num, plugins, accept_license)
26
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 215, in __fetch_plugin_inform__
27
    silent=self.silent)
28
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 82, in logit
29
    _callback({"level": level, "message": msg}, exit_on_error)
30
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 55, in callback
31
    log.log(15, message)
32
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1372, in log
33
    self._log(level, msg, args, **kwargs)
34
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1442, in _log
35
    self.handle(record)
36
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1452, in handle
37
    self.callHandlers(record)
38
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1514, in callHandlers
39
    hdlr.handle(record)
40
  File "/usr/local/lib/python3.6/logging/__init__.py", line 863, in handle
41
    self.emit(record)
42
  File "/usr/local/lib/freenasOS/__init__.py", line 152, in emit
43
    _msg)
44
TypeError: [priority,] message string
45
"""
46

    
47
The above exception was the direct cause of the following exception:
48

    
49
Traceback (most recent call last):
50
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
51
    await self.future
52
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
53
    return self.gen.throw(type, value, traceback)
54
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in __run_body
55
    rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
56
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
57
    return self.gen.throw(type, value, traceback)
58
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 978, in _call_worker
59
    job,
60
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
61
    return self.gen.throw(type, value, traceback)
62
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 908, in run_in_proc
63
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
64
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
65
    return self.gen.throw(type, value, traceback)
66
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in run_in_executor
67
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
68
TypeError: [priority,] message string